Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 381038 - the browser does not display the table widths as it should
: the browser does not display the table widths as it should
: testcase
Product: Core
Classification: Components
Component: Layout: Tables (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
Depends on:
  Show dependency treegraph
Reported: 2007-05-17 06:31 PDT by Cristian Trohin
Modified: 2014-09-20 09:27 PDT (History)
7 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

some testcases (2.36 KB, text/html)
2007-05-20 02:52 PDT, Elmar Ludwig
no flags Details

Description Cristian Trohin 2007-05-17 06:31:04 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20070309 Firefox/
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20070309 Firefox/

The browser does not display the table widths as it should (specified in each td).
I have tested this URL in Firefox 1.5, Opera 9.20, Internet Explorer 7 and they all show it well.

Reproducible: Always

Steps to Reproduce:
1. Enter URL in address line

Actual Results:  
All table rows get split at 50% even though other percents are specified per each td.

Expected Results:  
First row:
 First td should have 25% width
 Second row should have 75% width
Second row:
 First td should have 75% width
 Second row should have 25% width
And so on
Comment 1 Adam Guthrie 2007-05-17 10:10:08 PDT
Can you create a minimized testcase for this?
Comment 2 David Baron :dbaron: ⌚️UTC-7 (busy until November 7) 2007-05-17 10:25:40 PDT
But first check to see if it's already fixed in the latest alpha of Firefox 3 at
Comment 3 Elmar Ludwig 2007-05-20 02:52:26 PDT
Created attachment 265415 [details]
some testcases

minimal testcase + some variations:

Test 1: This is a reduced version of the URL given in the bug report (fixed width table using colspan + DIV inside the first row, the URL has an IMG in place of the DIV).

Test 2: like test 1, but no width specified on the TABLE (table is now twice as wide?)

Test 3: like test 1, but DIV shortened to 100px

Test 4: like test 1, but extra row that adds explicit column widths
Comment 4 Elmar Ludwig 2007-05-20 03:04:29 PDT
Based on the behaviour seen in the testcases this looks like a dup of one the various bugs with colspan sizing that we already have (bug 187550 is one possible candidate), so I guess someone needs to find a suitable bug to dup this.

Note: I tested this on trunk, but the rendering is not substantially different in Firefox 1.5 (mostly test 2 has much smaller table width), as far as I can see.

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a5pre) Gecko/20070518
Comment 5 Stefan Weiss [:sir_none] 2014-09-20 02:25:51 PDT

I have just found your old bug report from 2007 and it was never updated...
can you please confirm that it is OK now for you with new version of FF?

thanks for your help and sorry that there was no update for such a long time.
Comment 6 Elmar Ludwig 2014-09-20 09:27:36 PDT
I'm not the original reporter, but I did the reduced testcase (showing the bug) back in 2007 based on the contents of the URL given in the bug report. I can confirm that this testcase looks fine now on a current version of Firefox, so I think this bug report can be closed.

Note You need to log in before you can comment on or make changes to this bug.